Bug 911122 (CVE-2013-4216)

Summary: CVE-2013-4216 wimax: Log file created with insecure (world-writable) permissions
Product: [Other] Security Response Reporter: Florian Weimer <fweimer>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED EOL QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dcbw, jlieskov, jrusnack, rkhan
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: impact=low,public=20130808,reported=20130214,source=redhat,cvss2=2.1/AV:L/AC:L/Au:N/C:N/I:P/A:N,fedora-all/wimax=affected,cwe=CWE-732
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 11:48:27 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 995160    
Bug Blocks: 909233    

Description Florian Weimer 2013-02-14 07:41:13 EST
In InfraStack/OSDependent/Linux/InfraStackModules/TraceModule/TraceModule.c, function Trace_OpenLogFile, the log file (typically /var/log/wimax/wimaxd.log) is chmod'ed to 0666.  Log files should not be world-writable.  I'm not sure if this log file should even be world-readable (see bug 911121).

It's probably best to restrict permissions on the /var/log/wimax directory, too.
Comment 4 Jan Lieskovsky 2013-08-08 10:45:39 EDT
A security flaw was found in the way Trace module of WiMAX, an user space daemon for the Intel 2400m Wireless WiMAX link, used to set permissions when opening the log file (was created with world-readable / writable permissions). A local attacker could use this flaw to, in an unauthorized way, alter the content of WiMAX daemon log file (possibly leading to un-enforced actions to be performed by system administrator).
Comment 5 Jan Lieskovsky 2013-08-08 12:45:20 EDT
Acknowledgements:

This issue was found by Florian Weimer of Red Hat Product Security Team.
Comment 6 Jan Lieskovsky 2013-08-08 12:47:14 EDT
Created wimax tracking bugs for this issue:

Affects: fedora-all [bug 995160]
Comment 7 Jan Lieskovsky 2013-08-08 12:56:43 EDT
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/08/08/10
Comment 8 Jan Lieskovsky 2013-08-09 03:19:29 EDT
The CVE identifier of CVE-2013-4216 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/08/08/17
Comment 9 Florian Weimer 2015-02-17 11:48:27 EST
Only Fedora 19 shipped the wimax packages, and it is now EOL.